Subject: Re: linux-next: manual merge of the kselftest-fixes tree with the mm-hotfixes tree

From: Andrew Morton <[email-masked]>
Date: Mon, 29 Jan 2024 14:28:43 -0800

On Mon, 29 Jan 2024 12:01:53 -0700 Shuah Khan <[email-masked]> wrote:

> On 1/28/24 14:53, Stephen Rothwell wrote:
> > Hi all,
> > 
> > Today's linux-next merge of the kselftest-fixes tree got a conflict in:
> > 
> >    tools/testing/selftests/core/close_range_test.c
> > 
> > between commit:
> > 
> >    27a593e3f13a ("selftests: core: include linux/close_range.h for CLOSE_RANGE_* macros")
> > 
> > from the mm-hotfixes-unstable branch of the mm-hotfixes tree and commit:
> > 
> >    b5a8a6de69bc ("selftests/core: Fix build issue with CLOSE_RANGE_UNSHARE")
> > 
> > from the kselftest-fixes tree.
> > 
> > I fixed it up (basically the same patch, I used the former which kept
> > the blank line) and can carry the fix as necessary. This is now fixed
> > as far as linux-next is concerned, but any non trivial conflicts should
> > be mentioned to your upstream maintainer when your tree is submitted for
> > merging.  You may also want to consider cooperating with the maintainer
> > of the conflicting tree to minimise any particularly complex conflicts.
> > 
> 
> Thank you Stephen.
> 
> Andrew, would you like me to drop this commit? I was planning to send
> pull request with this in later on today, but if you prefer, I can
> drop this commit and the send the PR.

It was in the batch of hotfixes I sent to Linus yesterday.